package com.endeavour.controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.ServletRequestWrapper;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletRequestWrapper;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringEscapeUtils;

import com.endeavour.dao.AlbumDAO;
import com.endeavour.dao.MusicaDAO;
import com.endeavour.model.Musica;

public class MudaAlbum implements BusinessLogic {
	@Override
	public void execute(HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		MusicaDAO musicaDAO = new MusicaDAO();

		List<Musica> musicas = musicaDAO.getLista(Integer.parseInt(request
				.getParameter("codalbum")));

		StringBuilder sb = new StringBuilder();
		sb.append("[");
		for (Musica musica : musicas) {
			sb.append("{ codmusica: " + musica.getCodmusica().toString()
					+ ", titulo: '" + StringEscapeUtils.escapeJavaScript(musica.getTitulo()) + "' },");
		}
		/* Tirando virgula adicional */
		sb.deleteCharAt(sb.length() - 1);
		sb.append("]");
		request.setAttribute("ajax_str", sb.toString());

		dispatch("/ajax_output.jsp", request, response);
	}

	private void dispatch(String jsp, HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher rd = request.getRequestDispatcher(jsp);
		rd.forward(request, response);
	}

}