package com.endeavour.controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.ServletRequestWrapper;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletRequestWrapper;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringEscapeUtils;

import com.endeavour.dao.AlbumDAO;
import com.endeavour.model.Album;

public class MudaArtista implements BusinessLogic {
	@Override
	public void execute(HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		AlbumDAO albumDAO = new AlbumDAO();

		List<Album> albuns = albumDAO.getLista(Integer.parseInt(request
				.getParameter("codartista")));

		StringBuilder sb = new StringBuilder();
		sb.append("[ { codalbum: -1, nome : 'Selecione'}, ");
		for (Album album : albuns) {
			sb.append("{ codalbum: " + album.getCodalbum().toString()
					+ ", nome: '" + StringEscapeUtils.escapeJavaScript(album.getNome()) + "' },");
		}
		/* Tirando virgula adicional */
		sb.deleteCharAt(sb.length() - 1);
		sb.append("]");
		request.setAttribute("ajax_str", sb.toString());

		dispatch("/ajax_output.jsp", request, response);
	}

	private void dispatch(String jsp, HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher rd = request.getRequestDispatcher(jsp);
		rd.forward(request, response);
	}

}